Bug 1301877 - adding storage network on storage hypervisor results an error [NEEDINFO]
adding storage network on storage hypervisor results an error
Status: CLOSED INSUFFICIENT_DATA
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.1.3
x86_64 Linux
unspecified Severity high (vote)
: ---
: ---
Assigned To: bugs@ovirt.org
Pavel Stehlik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-26 04:19 EST by Bohdan
Modified: 2016-02-17 04:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-17 04:12:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
danken: needinfo? (b.tychkiv)
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)
Screenshot of the error (70.68 KB, image/png)
2016-01-26 04:19 EST, Bohdan
no flags Details

  None (edit)
Description Bohdan 2016-01-26 04:19:13 EST
Created attachment 1118400 [details]
Screenshot of the error

Description of problem:
When adding static IP address to hypervisor storage network it throw an error:

Cannot setup Networks. The address of the network 'Storage' cannot be modified without reinstalling the host, since this address was used to create the host's certification.

Version-Release number of selected component (if applicable): 3.6.1.3-1.el7.centos


How reproducible:


Steps to Reproduce:

Clusters > Hosts > Select hypervisor > Network Interfaces > Setup Hosts Networks > select edit Storage (VLAN 1024) > select Static, IP 192.168.25.3, Netmask / Routing Prefix: 255.255.252.0 > OK > OK


Actual results: Got an error:

Cannot setup Networks. The address of the network 'Storage' cannot be modified without reinstalling the host, since this address was used to create the host's certification.


Expected results: IP should be added


Additional info:
Comment 1 Dan Kenigsberg 2016-02-03 04:14:39 EST
Does 'Storage' serves as your management network? if so, this is not a bug, but a known limitation.

To check which is your management network, look for the "crown" symbol in your cluster's network tab.
Comment 2 Dan Kenigsberg 2016-02-17 04:12:05 EST
Please re-open when the required information is available or the "crown" hint is insufficient.

Note You need to log in before you can comment on or make changes to this bug.